Page MenuHomePhabricator

black: merge config into main pyproject.toml now that we have it
ClosedPublic

Authored by durin42 on Jan 19 2021, 1:03 PM.

Details

Summary

This means that naive contributors who just run black on a source file
will get reasonable behavior as long as they have a recent black. Yay!

Diff Detail

Repository
rHG Mercurial
Branch
default
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

durin42 created this revision.Jan 19 2021, 1:03 PM
Alphare accepted this revision.Jan 22 2021, 4:03 AM
Alphare added a subscriber: Alphare.

It was quite annoying when we first started using black, this should be better!

mharbison72 accepted this revision.Jan 26 2021, 1:09 AM
This revision is now accepted and ready to land.Jan 26 2021, 1:09 AM
baymax updated this revision to Diff 25976.Feb 26 2021, 6:20 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)